petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetReferenceTree

get the reference tree for hierarchically non-conforming meshes.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetReferenceTree(DM dm, DM *ref)

Not collective

### Input Parameters

dm -The DMPlex object

Output Parameters

ref -The reference tree DMPlex object

### See Also

DMPlexSetReferenceTree(), DMPlexCreateDefaultReferenceTree()

### Level

intermediate

### Location

src/dm/impls/plex/plextree.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages